﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Interactivity;
using System.Windows.Media;

namespace SprawdzanieNumeryPesel
{
    class ZmianaKoloruCzcionki : Behavior<TextBox>
    {
        protected override void OnAttached()
        {
            base.OnAttached();
            this.AssociatedObject.TextChanged += AssociatedObject_TextChanged;
        }

        private static readonly DependencyProperty WarunekProperty = DependencyProperty.Register(nameof(Warunek), typeof(Func<string, bool>), typeof(ZmianaKoloruCzcionki));

        public Func<string, bool> Warunek
        {
            get { return (Func<string, bool>)GetValue(WarunekProperty); }
            set { SetValue(WarunekProperty, value); }
        }

        private void AssociatedObject_TextChanged(object sender, TextChangedEventArgs e)
        {
            this.AssociatedObject.Foreground = Warunek(this.AssociatedObject.Text) ? Brushes.Green : Brushes.Red;
        }
    }
}
